Bug 33774 - Word count counts open double curly quote as a word.
Summary: Word count counts open double curly quote as a word.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Word-Count 30550
  Show dependency treegraph
 
Reported: 2011-01-31 11:02 UTC by mattwigway
Modified: 2016-10-24 21:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mattwigway 2011-01-31 11:02:29 UTC
The word counter counts “ as a word. So “test” is counted as two words. With long documents and a lot of dialog, this can cause word counts to be off by hundreds or thousands of words.
Comment 1 LeMoyne Castle 2011-05-31 03:35:21 UTC
Verified that this 'quote as word' problem:
 - occurs for leading quote only and 
 - occurs in LibO 3.3.2.2 but *not* in dev master (pull and build 28 May 2011)
Comment 2 Korrawit Pruegsanusak 2011-07-06 09:41:49 UTC
I think this is same as http://openoffice.org/bugzilla/show_bug.cgi?id=89042

*Seems* fixed in master before branching -3-4 (is in 3.4.x but not 3.3.x) with
http://cgit.freedesktop.org/libreoffice/writer/commit/?id=e257f93f6b1c55040c9d62e4d08aefa9407a7379
and/or
http://cgit.freedesktop.org/libreoffice/libs-gui/commit/?id=cb9aa439fbb0a85829b1e61e292b1553512b0cb5
If I'm misunderstood, please feel free to tell me.

Mark as RESOLVED/FIXED